function updateCountdown() {
  const now = new Date();
  const targetDate = new Date(now.getFullYear(), 11, 28); // December 28
  if (now.getMonth() === 11 && now.getDate() > 28) {
    targetDate.setFullYear(targetDate.getFullYear() + 1);
  }
  const diff = targetDate - now;

  const hours = Math.floor((diff % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
  const minutes = Math.floor((diff % (1000 * 60 * 60)) / (1000 * 60));
  const seconds = Math.floor((diff % (1000 * 60)) / 1000);

  document.getElementById('hours').textContent = String(hours).padStart(2, '0');
  document.getElementById('minutes').textContent = String(minutes).padStart(2, '0');
  document.getElementById('seconds').textContent = String(seconds).padStart(2, '0');
}

document.getElementById('yes').addEventListener('click', () => {
  document.getElementById('result').textContent = 'Parabéns Bruno! 🎉';
});

document.getElementById('no').addEventListener('click', () => {
  document.getElementById('result').textContent = 'Ainda não é altura! 🕒';
});

setInterval(updateCountdown, 1000);
updateCountdown();